@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.container {
  display: flex;
  // justify-content: start;
  gap: 1em;
  width: auto;
  margin-left: auto;
  margin-right: auto;
  overflow: auto;
  &::-webkit-scrollbar {
    display: none;
  }
  &__button {
    display: none;
  }

  @include responsive(tablet) {
    flex-wrap: wrap;
    height: 300px;
    overflow: hidden;
    margin-left: 2em;
    &__button {
      position: absolute;
      display: inline-block;
      right: 3em;
      top: 0;
      font-weight: 600;
      color: var(--color-2);
      cursor: pointer;
      &:hover {
        text-decoration: underline;
      }
    }
    &--show {
      height: min-content;
    }
  }
}

.no-playlist {
  text-align: center;
  font-size: var(--font-size-3);
  font-weight: 600;
  color: var(--color-2);
}
